Subject: Re: [PATCH -rt DO NOT APPLY] Fix for tg3 networking lockup

From: Theodore Tso <[email-masked]>
Date: Thu, 3 Aug 2006 19:53:26 -0400

On Thu, Aug 03, 2006 at 02:48:45PM -0700, David Miller wrote:
> > eth0: Tigon3 [partno(BCM95704s) rev 2100 PHY(serdes)] (PCIX:100MHz:64-bit) 10/100/1000BaseT Ethernet 00:14:5e:86:44:24
> 
> The 5704 chip will set TG3_FLAG_TAGGED_STATUS, and therefore
> doesn't need the periodic poking done by tg3_timer().

Hmm.... all I can say is that I could reliably knock the box off the
network by running a four processes that tied up all CPU's at high
real-time priorities, and after I applied the horrible hack that
guaranteed that tg3_timer() was run every 0.128 seconds, the system
stayed on the network.  I'm not sure why, but it did fix the problem.  

Any suggestions on how I could figure out what was really going on and
what would be a better fix would be greatly appreciated.

					- Ted